Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.advislets
Class RulesInputTransform

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdviceTransform
            |
            +--com.bea.p13n.rules.advislets.RulesInputTransform

All Implemented Interfaces:
  AdviceConstants, AdviceRequestConstants, AdviceTransform, AdvisletChainElement

public class RulesInputTransform
extends AbstractAdviceTransform

An `AdviceTransform` that converts `AdviceRequest` parameters into the input objects for the Rules `Advislet`.

The following parameters are put in a collection and associated with the `RULES_INPUT_OBJECTS` key:

- The current HTTP Request
- The current HTTP Session
- The current User
- The current TimeInstant
- The current Time
- The current Date

Field Summary

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Constructor Summary
`RulesInputTransform(Advisor advisor, Metadata metadata)` Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Method Summary
`void` | `transform(Advice input, AdviceRequest output)` Maps the 'well-knows' input objects into the RULES_INPUT_OBJECTS List to be passed into the rule engine.

Methods inherited from class com.bea.p13n.advisor.AbstractAdviceTransform
`getMetadata, initialize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RulesInputTransform

    public RulesInputTransform(Advisor advisor,
                               Metadata metadata)

  Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Parameters:
  `advisor` - the `Advisor` for this object.
  `metadata` - the `Metadata` for this object.

Method Detail

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Maps the 'well-knows' input objects into the RULES_INPUT_OBJECTS List to be passed into the rule engine.

  Specified by:
    `transform` in interface `AdviceTransform`
  Overrides:
    `transform` in class `AbstractAdviceTransform`
  Parameters:
    `input` - the the `Advice` instance containing the input objects
    `output` - the `AdviceRequest` to be passed to the RulesAdvislet.
  Throws:
    `AdvisorException` - If an error occurs during the transformation process.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved